/*  ==========================================================================
    // Box
    //
    // a simple barbox
    //
    // .box--light - light
    // .box--mercury - mercury
    // .box--silver - silver
    // .box--stone - stone
    // .box--stable - stable
    // .box--positive - positive
    // .box--calm - calm
    // .box--balanced - balanced
    // .box--energized - energized
    // .box--assertive - assertive
    // .box--royal - royal
    //
    // Markup: box.html
    //
    // Style guide: Modules.Box
    //
    ========================================================================== */

    /* STYLING
    ========================================================================== */

    .box
    {
        padding: $single-space $r-gutter;
        background-color: $box-default-bg;
        color: $box-default-color;

        &.box--light
        {
           background-color: $box-light-bg;
           color: $box-light-color;
        }

        &.box--mercury
        {
           background-color: $box-mercury-bg;
           color: $box-mercury-color;
        }

        &.box--silver
        {
           background-color: $box-silver-bg;
           color: $box-silver-color;
        }

        &.box--stone
        {
           background-color: $box-stone-bg;
           color: $box-stone-color;
        }

        &.box--stable
        {
           background-color: $box-stable-bg;
           color: $box-stable-color;
        }

        &.box--positive
        {
           background-color: $box-positive-bg;
           color: $box-positive-color;
        }

        &.box--calm
        {
           background-color: $box-calm-bg;
           color: $box-calm-color;
        }

        &.box--balanced
        {
           background-color: $box-balanced-bg;
           color: $box-balanced-color;
        }

        &.box--energized
        {
           background-color: $box-energized-bg;
           color: $box-energized-color;
        }

        &.box--assertive
        {
           background-color: $box-assertive-bg;
           color: $white;
           color: $box-assertive-color;
        }

        &.box--royal
        {
           background-color: $box-royal-bg;
           color: $box-royal-color;
        }
    }

    .box__source
    {
        margin-bottom: $box-source-margin-bottom;

        text-align: $box-source-text-align;
        font-size: 1.2rem;
        color: $gray-60;
    }